Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410748 - Reinstate Self_Service URL to SUI [NEEDINFO]
Summary: Reinstate Self_Service URL to SUI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Nick Carboni
QA Contact: Aziza Karol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 10:49 UTC by John Hardy
Modified: 2017-06-12 16:12 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-12 16:12:41 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
ncarboni: needinfo? (jhardy)


Attachments (Terms of Use)

Description John Hardy 2017-01-06 10:49:55 UTC
Please reinstate the URL Self_Service to the SSUI.

As per ticket https://bugzilla.redhat.com/show_bug.cgi?id=1410516 that found the issue of it being missing.

Happy to have Service and Self_Service, or Self_Service redirecting to Service...but we have to maintain backwards compatibility to the old URL, Self_Service.

This was noticed upstream.

thanks

Comment 3 Chris Kacerguis 2017-01-06 15:32:35 UTC
Jason, I wasn't sure who this needed to go to, but I figured you would know :)

Comment 4 Nick Carboni 2017-01-30 20:15:45 UTC
If this new url is the way we want to go, should we consider the old one (/self_service) to be deprecated and maybe only fix this for the z stream release?

Comment 6 CFME Bot 2017-01-31 01:24:22 UTC
New commit detected on ManageIQ/manageiq-gems-pending/master:
https://github.com/ManageIQ/manageiq-gems-pending/commit/5902fd4bc16c7832e9aa2d1a80a1006b93bfe8c9

commit 5902fd4bc16c7832e9aa2d1a80a1006b93bfe8c9
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Mon Jan 30 15:10:10 2017 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Jan 30 15:12:42 2017 -0500

    Add a redirect from the old /self_service to the new /ui/service
    
    This should be considered deprecated and should be removed for the
    next release.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410748

 lib/gems/pending/util/miq_apache/miq_apache.rb | 1 +
 spec/util/miq_apache/conf_spec.rb              | 1 +
 2 files changed, 2 insertions(+)

Comment 7 Aziza Karol 2017-04-19 06:03:59 UTC
/self_service is now redirected to the new /ui/service.

Verified:
5.8.0.10-beta1.20170411212748_e47d319


Note You need to log in before you can comment on or make changes to this bug.